API ReferenceAllowlist
List allowlisted IPs
The server IPs that can use the gateway without credentials.
GET
https://api.riftip.com/v1/allowlist#Request
curl https://api.riftip.com/v1/allowlist \
-H "Authorization: Bearer $RIFTIP_API_KEY"const res = await fetch("https://api.riftip.com/v1/allowlist", {
headers: { Authorization: `Bearer ${process.env.RIFTIP_API_KEY}` },
});
const { data } = await res.json();allowlist = requests.get(
"https://api.riftip.com/v1/allowlist",
headers={"Authorization": f"Bearer {API_KEY}"},
).json()["data"]#Response
JSON
{
"data": [
{ "ip": "198.51.100.12", "label": "scraper-1", "created_at": "2026-09-30T10:00:00Z" },
{ "ip": "198.51.100.13", "label": "scraper-2", "created_at": "2026-09-30T10:00:00Z" }
]
}See Authentication for how allowlisted requests are routed.